%global srcname cycler

Summary:        Cycle through lists in various ways (used by matplotlib)
Name:           python-%{srcname}
Version:        0.12.1
Release:        1%{?dist}
License:        BSD
URL:            https://github.com/matplotlib/cycler.git
Source0:        %pypi_source

BuildArch:      noarch

%description
General purpose library used by matplotlib to cycle through lists for colors,\
marker styles, etc

%package -n python3-%{srcname}
Summary:        Cycle through lists in various ways (used by matplotlib)
BuildRequires:  python3-devel

%description -n python3-%{srcname}
General purpose library used by matplotlib to cycle through lists for colors,\
marker styles, etc

%prep
%autosetup -n %{srcname}-%{version}

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst
%license LICENSE

%changelog
* Mon Jan 08 2024 Upgrade Robot <upbot@opencloudos.org> - 0.12.1-1
- Upgrade to version 0.12.1

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Feb 09 2023 Miaojun Dong <zoedong@tencent.com> - 0.11.0-1
- initial build
